Skip to main content
GET
Get Store Detail

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store_id
string<uuid>
required

Unique ID of the store on PayLead system.

Response

OK

name
string
required
read-only

Name of the store

Example:

"MY LITTLE BRAND PARIS"

address
string | null
read-only

Address of the Store

Example:

"55 rue des moulins"

brand
object
business_name
string | null
read-only

Business Name (Legal) of the store

Example:

"MY BRAND SARL"

city
string | null
read-only

City of the store

Example:

"Paris"

country
string | null
read-only

Country of the store

Example:

"France"

created_at
string<date-time> | null
read-only

Object creation datetime

Example:

"2019-01-31T15:16:15.523309+00:00"

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

is_online
boolean | null
read-only

TRUE if the store is online (no address, no geolocation, url); FALSE if the store is physical

Example:

true

latitude
number | null
read-only

Latitude of the store

Example:

50.51534475

longitude
number | null
read-only

Longitude of the store

Example:

6.0646992

merchant
object
networks
object[]
read-only

networks

offers
object[]
read-only

Best available offer for current user (or generic user) in this store. The best available offer is the offer that is:

  • Available for the current store
  • Eligible for the current user
  • proposing the best cashback rate
phone_number
string | null
read-only

Phone number of the store

Example:

"0102030405"

siret
string | null

SIRET of the current Store. Siret is a 14-digit business identification number managed by INSEE. The Siret consists of the Siren number of 9 digits which identifies the company, a 4-digit number to identify the establishment and 1 digit forming a control key to verify Luhn's algorithm

Example:

81968937300010

website
string<url> | null
read-only

URL of a brand website

Example:

"https://www.paylead.fr/"

zip_code
string | null
read-only

Zip code of the store

Example:

84120